<app-loader *ngIf="loading"></app-loader>
<ng-container *ngIf="!loading">

    <div class="module flat">

        <div class="user" *ngIf="user">

            <div class="avatar">
                <img #avatarEl [src]="user?.avatar">
                <button *ngIf="isUser"
                (click)="uploadModal.open()"
                class="edit" title="Editar"><i class="las la-camera"></i></button>
            </div>
            
            <div class="text">
                <header>
                    <div class="title">
                        <h2>{{user?.username}}</h2>
                        <h6>MIEMBRO DESDE EL {{user?.createdAt | date: 'dd/MM/yyyy'}}</h6>
                    </div>

                    <div class="actions" *ngIf="!isUser">
                        <button class="primary small with-icon" (click)="follow()">
                            <i class="las la-plus-circle"></i>
                            Seguir
                        </button>

                        <button *ngIf="!isFriend" class="secondary small with-icon" (click)="friendship()">
                            <i class="las la-plus-circle"></i>
                            Amistad
                        </button>
                        <button *ngIf="isFriend" class="secondary small with-icon">
                            <i class="las la-check-circle"></i>
                            Amigos
                        </button>
                    </div>

                    <div class="actions" *ngIf="isUser">
                        <a class="btn secondary small with-icon" routerLink="/u/flamesofblue/settings">
                            <i class="las la-cog"></i>
                            Configuración
                        </a>
                    </div>
                </header>
                
                <hr>

                <ng-container *ngIf="!bioEdit else edit">
                    <p *ngIf="!bioEdit">
                        {{user?.bio}}
                    </p>
                    <button 
                    *ngIf="isLoggedIn && isUser" 
                    class="text-only" (click)="editBio()">Editar <i class="las la-pen"></i></button>
                </ng-container>

                <ng-template #edit>
                    <textarea *ngIf="bioEdit" [(ngModel)]="bioReference"></textarea>

                    <div class="edit-actions">
                        <button class="text-only danger" (click)="editBio()">
                            Cancelar</button>
                        <button class="text-only" (click)="guardarBio()">
                            Guardar</button>
                    </div>
                </ng-template>

            </div>

        </div>

    </div>

    <div class="sidebar-left less-gap">

        <aside>
            <div class="module">
                <ul class="stats unstyled-list">
                    <li><span>Hilos</span><strong>{{threads.length}}</strong></li>
                    <li><span>Respuestas</span><strong>18</strong></li>
                    <li><span>Comentarios</span><strong>26</strong></li>
                    <li><span>Siguiendo</span><strong>2</strong></li>
                    <li><span>Seguidores</span><strong>4</strong></li>
                    <li><span>Amigos</span><strong>3</strong></li>
                </ul>
            </div>

            <div class="module" *ngIf="friends.length">

                <header class="module-header">
                    <h4>Amigos</h4>
                </header>

                <ul class="user-list">
                    <li *ngFor="let friend of friends">

                        <div class="user-icon">
                            <a target="_blank" [routerLink]="'/u/'+friend.username" [title]="friend.username">
                                <img [src]="friend.avatar" alt="">
                            </a>
                            <button 
                            class="remove"
                            *ngIf="isUser" 
                            (click)="unfriend(friend.id)"><i class="las la-times"></i></button>
                        </div>
                        
                    </li>
                </ul>
            </div>
        </aside>

        <div class="module flat">
            <app-tabs #profileTabs [tabs]="tabs">

                <!-- Hilos -->
                <div class="tab" *ngIf="profileTabs.active === 0">
                    <app-thread-list [threads]="threads" *ngIf="threads.length"></app-thread-list>
                    <div class="empty" *ngIf="!threads.length">
                        <i class="las la-comment"></i>
                        {{user?.username}} aún no ha publicado ningún hilo
                    </div>
                </div>

                <div class="tab" *ngIf="profileTabs.active === 1">2</div>

                <div class="tab" *ngIf="profileTabs.active === 2">3</div>

            </app-tabs>
        </div>

    </div>

</ng-container>

<app-modal
#uploadModal
title="Cambiar Avatar"
[loading]="uploadLoading"
[close-on-confirm]="false"
[disable-confirm]="!avatar"
(onconfirm)="upload()"
(onclose)="avatar=null">

    <input type="file" (change)="getFiles($event)">

</app-modal>